<?
if (!$id) msg("Персонаж не найден!");
if (!isset($player["msg"][$id])) msg("Персонаж не найден!");
$plays = implode('',file('users/'.$id.'.dat'));
$plays = unserialize($plays);
$stmp.="<a href=\"$PHP_SELF?sid=$sid\">(+)</a>";
if (isset($game["players"][$id])) {
$stmp.="<br/><strong>".$game["loc"][$game["players"][$id]][$id]["title"]."</strong>";
} else {
$stmp.="<br/><strong>".$plays["title"]."</strong>";
}
if (!$player["msg"][$id]) $stmp.="<br/>- нет сообщений -";
else $stmp.="<br/>".preg_replace("/{[^}]+}/","",$player["msg"][$id],strlen($player["msg"][$id])-1000);
$stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&msg=napis&id=$id\">[Написать]</a>";
$stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&msg=cls&id=$id\">[Очистить]</a>";
$stmp.="<br/>***<br/><a href=\"$PHP_SELF?sid=$sid&msg=del&id=$id\">[Удалить Контакт]</a>";
$stmp.="<br/><a href=\"$PHP_SELF?sid=$sid\">(+)</a>";
?>